﻿using System.Collections.Generic;

public enum Party
{
	None,
	Federalist,
	DemocraticRepublican,
	Democratic,
	Whig,
	Republican
}

public static class SampleData
{
	static public List<President> CreateUSPresidents()
	{
		List<President> presidents = new List<President>()
		{
			new President() {Name="George Washington", PresidentNumber=1, TermStart=1789, TermEnd=1797, PoliticalParty= Party.None },
			new President() {Name="John Adams", PresidentNumber=2, TermStart=1797, TermEnd=1801, PoliticalParty= Party.Federalist },
			new President() {Name="Thomas Jefferson", PresidentNumber=3, TermStart=1801, TermEnd=1809, PoliticalParty= Party.DemocraticRepublican },
			new President() {Name="James Madison", PresidentNumber=4, TermStart=1809, TermEnd=1817, PoliticalParty= Party.DemocraticRepublican },
			new President() {Name="James Monroe", PresidentNumber=5, TermStart=1816, TermEnd=1820, PoliticalParty= Party.DemocraticRepublican },
			new President() {Name="John Quincy Adams", PresidentNumber=6, TermStart=1825, TermEnd=1829, PoliticalParty= Party.DemocraticRepublican },
			new President() {Name="Andrew Jackson", PresidentNumber=7, TermStart=1829, TermEnd=1837, PoliticalParty= Party.Democratic },
			new President() {Name="Martin Van Buren", PresidentNumber=8, TermStart=1837, TermEnd=1841, PoliticalParty= Party.Democratic },
			new President() {Name="William Henry Harrison", PresidentNumber=9, TermStart=1841, TermEnd=1841, PoliticalParty= Party.Whig },
			new President() {Name="John Tyler", PresidentNumber=10, TermStart=1841, TermEnd=1845, PoliticalParty= Party.Whig },
			new President() {Name="James K Polk", PresidentNumber=11, TermStart=1845, TermEnd=1849, PoliticalParty= Party.Democratic },
			new President() {Name="Zachary Taylor", PresidentNumber=12, TermStart=1849, TermEnd=1850, PoliticalParty= Party.Whig },
			new President() {Name="Millard Fillmore", PresidentNumber=13, TermStart=1850, TermEnd=1853, PoliticalParty= Party.Whig },
			new President() {Name="Franklin Peirce", PresidentNumber=14, TermStart=1853, TermEnd=1857, PoliticalParty= Party.Democratic },
			new President() {Name="James Buchanan", PresidentNumber=15, TermStart=1857, TermEnd=1861, PoliticalParty= Party.Democratic },
			new President() {Name="Abraham Lincoln", PresidentNumber=16, TermStart=1861, TermEnd=1865, PoliticalParty= Party.Republican },
			new President() {Name="Andrew Johnson", PresidentNumber=17, TermStart=1865, TermEnd=1869, PoliticalParty= Party.Democratic },
			new President() {Name="Ulysses S Grant", PresidentNumber=18, TermStart=1869, TermEnd=1877, PoliticalParty= Party.Republican },
			new President() {Name="Rutherford B Hayes", PresidentNumber=19, TermStart=1877, TermEnd=1881, PoliticalParty= Party.Republican },
			new President() {Name="James A Garfield", PresidentNumber=20, TermStart=1881, TermEnd=1881, PoliticalParty= Party.Republican },
			new President() {Name="Chester A Arthur", PresidentNumber=21, TermStart=1881, TermEnd=1885, PoliticalParty= Party.Republican },
			new President() {Name="Grover Cleavland", PresidentNumber=22, TermStart=1885, TermEnd=1889, PoliticalParty= Party.Democratic },
			new President() {Name="Benjamin Harrison", PresidentNumber=23, TermStart=1889, TermEnd=1893, PoliticalParty= Party.Republican },
			new President() {Name="Grover Cleveland", PresidentNumber=24, TermStart=1893, TermEnd=1897, PoliticalParty= Party.Democratic },
			new President() {Name="William McKinley", PresidentNumber=25, TermStart=1897, TermEnd=1901, PoliticalParty= Party.Republican },
			new President() {Name="Theodore Roosevelt", PresidentNumber=26, TermStart=1901, TermEnd=1909, PoliticalParty= Party.Republican },
			new President() {Name="William Howard Taft", PresidentNumber=27, TermStart=1909, TermEnd=1913, PoliticalParty= Party.Republican },
			new President() {Name="Woodrow Wilson", PresidentNumber=28, TermStart=1913, TermEnd=1921, PoliticalParty= Party.Republican },
			new President() {Name="Warren G harding", PresidentNumber=29, TermStart=1921, TermEnd=1923, PoliticalParty= Party.Republican },
			new President() {Name="Calvin Coolidge", PresidentNumber=30, TermStart=1923, TermEnd=1929, PoliticalParty= Party.Republican },
			new President() {Name="Herbert Hoover", PresidentNumber=31, TermStart=1929, TermEnd=1933, PoliticalParty= Party.Republican },
			new President() {Name="Franklin D Roosevelt", PresidentNumber=32, TermStart=1933, TermEnd=1945, PoliticalParty= Party.Democratic },
			new President() {Name="Harry S Truman", PresidentNumber=33, TermStart=1945, TermEnd=1953, PoliticalParty= Party.Democratic },
			new President() {Name="Dwight D Eisenhower", PresidentNumber=34, TermStart=1953, TermEnd=1961, PoliticalParty= Party.Republican },
			new President() {Name="John F Kennedy", PresidentNumber=35, TermStart=1961, TermEnd=1963, PoliticalParty= Party.Democratic },
			new President() {Name="Lyndon B Johnson", PresidentNumber=36, TermStart=1963, TermEnd=1969, PoliticalParty= Party.Democratic },
			new President() {Name="Richard Nixon", PresidentNumber=37, TermStart=1969, TermEnd=1974, PoliticalParty= Party.Republican },
			new President() {Name="Gerald Ford", PresidentNumber=38, TermStart=1974, TermEnd=1977, PoliticalParty= Party.Republican },
			new President() {Name="Jimmy Carter", PresidentNumber=39, TermStart=1977, TermEnd=1981, PoliticalParty= Party.Democratic },
			new President() {Name="Ronald Reagan", PresidentNumber=40, TermStart=1981, TermEnd=1989, PoliticalParty= Party.Republican },
			new President() {Name="George H W Bush", PresidentNumber=41, TermStart=1989, TermEnd=1993, PoliticalParty= Party.Republican },
			new President() {Name="Bill Clinton", PresidentNumber=42, TermStart=1993, TermEnd=2001, PoliticalParty= Party.Democratic },
			new President() {Name="George W Bush", PresidentNumber=43, TermStart=2001, TermEnd=2009, PoliticalParty= Party.Republican },
			new President() {Name="Barack Obama", PresidentNumber=44, TermStart=2009, TermEnd=2017, PoliticalParty= Party.Democratic }
		};

		return presidents;
	}
}

public class President
{
	public string Name { get; set; }
	public int PresidentNumber { get; set; }
	public int TermStart { get; set; }
	public int TermEnd { get; set; }
	public int TermLength { get { return TermEnd - TermStart; } }
	public Party PoliticalParty { get; set; }
}